{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":481,"path":"api-reference/rest-apis/c_ServiceCatalogAPI.md","title":"Service Catalog API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Service Catalog API\n\nThe Service Catalog API provides endpoints that access Service Catalog configuration and actions from within a Service Portal.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Service Catalog - DELETE /sn\\_sc/servicecatalog/cart/\\{cart\\_item\\_id\\}\n\nDeletes the specified item from the current cart.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/cart/{cart_item_id}`\n\nDefault URL: `/api/sn_sc/servicecatalog/cart/{cart_item_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\ncart\\_item\\_id\n\n</td><td>\n\nSys\\_id of the item to delete from the current cart.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|204|Indicates that the request completed successfully and the specified item was deleted from the cart.|\n|400|Indicates that either the specified **cart\\_item\\_id** is invalid or the user does not have access to the cart item.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n|Name|Description|\n|----|-----------|\n|None||\n\n### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_sc/v1/servicecatalog/cart/1f4cc597db21120064301150f0b8f5fc\" \\\n--request DELETE \\\n--user \"username\":\"password\"\n```\n\n```\nNone\n```\n\n## Service Catalog - DELETE /sn\\_sc/servicecatalog/cart/\\{sys\\_id\\}/empty\n\nDeletes a specified cart, and the contents of the cart.\n\nThe capabilities of what a user can delete \\(items and/or cart\\) depends on the role in which they use to authenticate.\n\nUser roles needed to delete cart and cart contents:\n\n-   admin/catalog\\_admin: Can empty any user cart.\n-   admin: Can delete the cart after all the contents of the cart are deleted.\n-   catalog\\_admin: Can delete all the items in the cart.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/cart/{sys_id}/empty`\n\nDefault URL: `/api/sn_sc/servicecatalog/cart/{sys_id}/empty`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the cart to empty and delete.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n204\n\n</td><td>\n\nRequest completed successfully and both empties and deletes the cart.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nIndicates an error for one of the following reasons:-   Invalid cartId.\n-   User does not have admin/catalog\\_admin role, or is trying to empty another user cart.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n|Name|Description|\n|----|-----------|\n|None||\n\n### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_sc/servicecatalog/cart/dde34ad713426300027879d96144b072/empty\" \\\n--request DELETE \\\n--user 'username':'password'\n```\n\n```\nNone\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/cart\n\nRetrieves the details of the items within the logged in user's cart.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/cart`\n\nDefault URL: `/api/sn_sc/servicecatalog/cart`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Indicates that the request completed successfully. If there is no item in the cart, it returns basic cart information and pricing for user. If the cart contains any items, then the information about the items and their individual pricing is also included.|\n|400|Indicates that the cart is empty and cannot check out.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nParameter\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncart\\_id\n\n</td><td>\n\nSys\\_id of the cart.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;\n\n</td><td>\n\nList of items in the cart having a specific recurring frequency. Possible values include:-   daily\n-   monthly\n-   yearly\n-   none \\(no recurring fees\\)\n\n Data type: Object\n\n ```\n\"<recurring_frequency>\": {\n  \"frequency_label\": \"String\",\n  \"items\": [Array],\n  \"show_subtotal_price\": \"String\",\n  \"subtotal_price\": \"String\",\n  \"subtotal_recurring_frequency\": \"String\",\n  \"subtotal_recurring_price\": \"String\",\n  \"subtotal_title\": \"String\",\n  \"total_title\": \"String\"\n```\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.frequency\\_label\n\n</td><td>\n\nFrequency of the associated recurring fee.Data type: String\n\n Default: Null\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items\n\n</td><td>\n\nList of objects that contain details of each item associated with the specified recurring frequency category.Data type: Array\n\n ```\n\"items\": [{\n  \"cart_item_id\": \"String\",\n  \"catalog_item_id\": \"String\",\n  \"created.by\": \"String\",\n  \"created_on\": \"String\",\n  \"delivery_time\": \"String\",\n  \"item_id\": \"String\",\n  \"item_name\": \"String\",\n  \"localized_price\": \"String\",\n  \"localized_recurring_price\": \"String\",\n  \"name\": \"String\",\n  \"order_guide\": \"String\",\n  \"picture\": \"String\",\n  \"price\": \"String\",\n  \"quantity\": \"String\",\n  \"recurring_frequency\": \"String\",\n  \"recurring_price\": \"String\",\n  \"recurring_subtotal\": Number,\n  \"recurring_subtotal_price\": \"String\",\n  \"short_description\": \"String\",\n  \"show_price\": Boolean,\n  \"show_quantity\": Boolean,\n  \"show_recurring_price\": Boolean,\n  \"subtotal\": Number,\n  \"subtotal_price\": \"String\",\n  \"sys_class_name\": \"String\",\n  \"sys_id\": \"String\",\n  \"updated_by\": \"String\",\n  \"updated_on\": \"String\",\n  \"variables\": {Object}\n}]\n```\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.cart\\_item\\_id\n\n</td><td>\n\nSys\\_id of the item in this cart.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.catalog\\_item\\_id\n\n</td><td>\n\nSys\\_id of catalog associated the item.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.created.by\n\n</td><td>\n\nUser that initially placed the item in the cart.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.created\\_on\n\n</td><td>\n\nDate on which the item was initially placed in the cart.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.delivery\\_time\n\n</td><td>\n\nTime that the specified item takes to be delivered.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.item\\_id\n\n</td><td>\n\nCatalog sys\\_id of the item.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.item\\_name\n\n</td><td>\n\nName of the specified item.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.localized\\_price\n\n</td><td>\n\nPrice of the item in local currency.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.localized\\_recurring\\_price\n\n</td><td>\n\nRecurring fee for the specified item in local currency.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.name\n\n</td><td>\n\nItem name.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.order\\_guide\n\n</td><td>\n\nName of the order guide to which this item is associated.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.picture\n\n</td><td>\n\nFile name of the picture of the item.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.price\n\n</td><td>\n\nPrice of the item.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.quantity\n\n</td><td>\n\nNumber of the specified item in the cart.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.recurring\\_frequency\n\n</td><td>\n\nHow often the recurring fee is charged for the specified item.Data type: String\n\n Default: Null\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.recurring\\_price\n\n</td><td>\n\nRecurring fee for the specified item.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.recurring\\_subtotal\n\n</td><td>\n\nSubtotal of the recurring fees for the item \\(**recurring\\_price** x **quantity**\\).Data type: Number\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.recurring\\_subtotal\\_price\n\n</td><td>\n\nSubtotal of the recurring fees for the item.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.short\\_description\n\n</td><td>\n\nShort description of the item.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.show\\_price\n\n</td><td>\n\nFlag that indicates whether the price of the item is shown in the cart.Possible values:\n\n-   true: Show the price of the item in the cart.\n-   false: Do not show the price of the item in the cart.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.show\\_quantity\n\n</td><td>\n\nFlag that indicates whether to show the item quantity in the cart.Possible values:\n\n-   true: Show the item quantity in the cart.\n-   false: Do not show the item quantity in the cart.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.show\\_recurring\\_price\n\n</td><td>\n\nFlag that indicates whether the recurring fees should appear in the cart.Possible values:\n\n-   true: Show the recurring fees in the cart.\n-   false: Do not show the recurring fees in the cart.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.subtotal\n\n</td><td>\n\nSubtotal number of items.Data type: Number\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.subtotal\\_price\n\n</td><td>\n\nSubtotal for the item \\(**price** x **quantity**\\).Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.sys\\_class\\_name\n\n</td><td>\n\nSystem classification name of the item.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.sys\\_id\n\n</td><td>\n\nSys\\_id of the item record.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.updated\\_by\n\n</td><td>\n\nUser that updated the item after it was initially placed in the cart.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.updated\\_on\n\n</td><td>\n\nLast date/time on which the item was either initially placed in the cart or updated.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.items.variables\n\n</td><td>\n\nList of name/value pairs of the item variables.Data type: Object\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.show\\_subtotal\\_price\n\n</td><td>\n\nFlag that indicates whether to show a subtotal for the associated recurring fee category.Possible values:\n\n-   true: Show subtotals in the cart.\n-   false: Do not show subtotals in the cart.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.subtotal\\_price\n\n</td><td>\n\nSubtotal of the cost of all items for the associated recurring frequency category.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.subtotal\\_recurring\\_frequency\n\n</td><td>\n\nType of subtotal recurring frequency, such as daily, monthly, etc. Same as **subtotal\\_recurring\\_frequency**.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.subtotal\\_recurring\\_price\n\n</td><td>\n\nSubtotal of the recurring fees of the items within the associated recurring frequency category.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.subtotal\\_title\n\n</td><td>\n\nIf the **show\\_subtotal\\_price** is set to `true`, the text to display in the cart for the associated subtitle.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;.total\\_title\n\n</td><td>\n\nText to display for the total title for the associated recurring frequency category.Data type: String\n\n</td></tr><tr><td>\n\nshow\\_subtotal\\_price\n\n</td><td>\n\nFlag that indicates whether to show the subtotal price in the cart.Possible values:\n\n-   true: Show subtotals in the cart.\n-   false: Do not show subtotals in the cart.\n\n Data type: String\n\n</td></tr><tr><td>\n\nsubtotal\\_price\n\n</td><td>\n\nSubtotal of all items in the cart in whole dollars.Data type: String\n\n</td></tr><tr><td>\n\nsubtotal\\_recurring\\_frequency\n\n</td><td>\n\nType of subtotal recurring frequency, such as daily, monthly, etc. Same as **&lt;recurring\\_frequency&gt;.subtotal\\_recurring\\_frequency**.Data type: String\n\n</td></tr><tr><td>\n\nsubtotal\\_recurring\\_price\n\n</td><td>\n\nSubtotal of the recurring frequency fees for all items in the cart.Data type: String\n\n</td></tr><tr><td>\n\nsubtotal\\_title\n\n</td><td>\n\nText to display in the cart for the subtotal field title.Data type: String\n\n</td></tr><tr><td>\n\ntotal\\_title\n\n</td><td>\n\nText to display in the cart for the total field title.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_sc/servicecatalog/cart\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\n```\n{\n  \"result\": {\n    \"cart_id\": \"6d88bc29137d2300027879d96144b04b\",\n    \"subtotal_price\": \"$1,598.00\",\n    \"subtotal_recurring_frequency\": \"\",\n    \"subtotal_recurring_price\": \"$0.00\",\n    \"total_title\": \"Total\",\n    \"none\": {\n      \"subtotal_price\": \"$1,598.00\",\n      \"subtotal_recurring_frequency\": \"\",\n      \"subtotal_recurring_price\": \"$0.00\",\n      \"total_title\": \"Total\",\n      \"frequency_label\": null,\n      \"items\": [\n      {\n        \"updated_on\": \"2018-11-15 14:24:00\",\n        \"catalog_item_id\": \"07f1666b0bf00300eba42da0d5673ab0\",\n        \"short_description\": \"Apple iPhone 7 \",\n        \"recurring_subtotal_price\": \"$0.00\",\n        \"delivery_time\": \"2 Days\",\n        \"sys_class_name\": \"sc_cat_item\",\n        \"sys_id\": \"1f88bc29137d2300027879d96144b056\",\n        \"price\": \"$799.00\",\n        \"recurring_frequency\": null,\n        \"subtotal_price\": \"$799.00\",\n        \"variables\": {},\n        \"quantity\": \"1\",\n        \"item_id\": \"07f1666b0bf00300eba42da0d5673ab0\",\n        \"recurring_price\": \"$0.00\",\n        \"show_price\": true,\n        \"item_name\": \"Apple iPhone7\",\n        \"cart_item_id\": \"1f88bc29137d2300027879d96144b056\",\n        \"recurring_subtotal\": 0,\n        \"show_quantity\": true,\n        \"created_by\": \"admin\",\n        \"picture\": \"e823ee6b0bf00300eba42da0d5673a95.iix\",\n        \"created_on\": \"2018-11-15 14:24:00\",\n        \"localized_price\": \"$799.00\",\n        \"subtotal\": 799,\n        \"show_recurring_price\": false,\n        \"name\": \"Apple iPhone7\",\n        \"updated_by\": \"admin\",\n        \"localized_recurring_price\": \"$0.00\",\n        \"order_guide\": \"\"\n      },\n    ],\n    \"show_subtotal_price\": \"true\",\n    \"subtotal_title\": \"Subtotal\"\n   },\n   \"show_subtotal_price\": \"true\",\n   \"subtotal_title\": \"Subtotal\"\n }\n}\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/cart/delivery\\_address/\\{user\\_id\\}\n\nRetrieves the shipping address of the specified user based on the **glide.sc.req\\_for.roles** property and the default behavior configured in the **glide.sc.req\\_for.roles.defaultproperty**.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/cart/delivery_address/{user_id}`\n\nDefault URL: `/api/sn_sc/servicecatalog/cart/delivery_address/{user_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nuser\\_id\n\n</td><td>\n\nSys\\_id of the user whose shipping address to retrieve.Data type: String\n\nTable: User \\[sys\\_user\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Request completed successfully; returns the shipping address of the specified user.|\n|400|User sys\\_id is invalid.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nAddress of the specified user.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_sc/servicecatalog/cart/delivery_address/62826bf03710200044e0bfc8bcbe5df1\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\n```\n{\n'result': '25 New Chardon Street, Boston\\nBoston, MA, 02114-1801\\nUSA'\n}\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/catalogs\n\nRetrieves a list of catalogs to which the user has access based on the passed in parameters.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/catalogs`\n\nDefault URL: `/api/sn_sc/servicecatalog/catalogs`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_limit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.\n\n**Note:** Unusually large **sysparm\\_limit** values can impact system performance.\n\nData type: Number\n\nDefault: 10000\n\n</td></tr><tr><td>\n\nsysparm\\_text\n\n</td><td>\n\nKeyword to search for in the \"title\" field of the available service catalogs.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_view\n\n</td><td>\n\nDevice on which the item can display: -   **desktop**: On the desktop.\n-   **mobile**: On a mobile device.\n-   **both**: Both on a desktop and on a mobile device.\n\n Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Indicates that the request completed successfully. If a valid query returns no results, the response body only contains an empty result array.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the catalog.Data type: String\n\n</td></tr><tr><td>\n\ndesktop\\_image\n\n</td><td>\n\nImage that appears on the desktop for this catalog.Data type: String\n\n</td></tr><tr><td>\n\nhas\\_categories\n\n</td><td>\n\nFlag that indicates whether the catalog contains categories.Possible values:\n\n-   true: Catalog contains categories.\n-   false: Catalog does not contain categories.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nhas\\_items\n\n</td><td>\n\nFlag that indicates whether the catalog contains items.Possible values:\n\n-   true: Catalog contains items.\n-   false: Catalog does not contain items.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the catalog.Data type: String\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td>\n\nCatalog title.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_sc/servicecatalog/catalogs?sysparm_limit=10\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n\n```\n\n```\n{\n  \"result\": [\n    {\n      \"title\": \"Technical Catalog\",\n      \"sys_id\": \"742ce428d7211100f2d224837e61036d\",\n      \"has_categories\": true,\n      \"has_items\": true,\n      \"description\": \"Products and services for the IT department\",\n      \"desktop_image\": \"7a7c8271475211002ee987e8dee4906d.iix\"\n    },\n    {\n      \"title\": \"Service Catalog\",\n      \"sys_id\": \"e0d08b13c3330100c8b837659bba8fb4\",\n      \"has_categories\": true,\n      \"has_items\": true,\n      \"description\": \"Service Catalog - IT Now\",\n      \"desktop_image\": \"adbcc271475211002ee987e8dee49001.iix\"\n    }\n  ]\n}\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/catalogs/\\{sys\\_id\\}/categories\n\nRetrieves the list of available categories for the specified catalog.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/catalogs/{sys_id}/categories`\n\nDefault URL: `/api/sn_sc/servicecatalog/catalogs/{sys_id}/categories`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the catalog whose categories are requested.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_limit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.\n\n**Note:** Unusually large **sysparm\\_limit** values can impact system performance.\n\nData type: Number\n\nDefault: 10000\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td>\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDon't pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nsysparm\\_top\\_level\\_only\n\n</td><td>\n\nOnly return those categories whose parent is a catalog.Valid values:\n\n-   true: Only return those categories whose parent is a catalog.\n-   false: Return all categories.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nsysparm\\_view\n\n</td><td>\n\nUI view for which to render the data. Determines the fields returned in the response.Valid values:\n\n-   desktop\n-   mobile\n-   both\n\nIf you also specify the **sysparm\\_fields** parameter, it takes precedent.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Returns a list of categories in a catalog. If there are no query results, then an empty array is returned.|\n|400|Indicates that the request or catalog sys\\_id is invalid.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncount\n\n</td><td>\n\nNumber of items within the category.Data type: Number\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nBrief category description.Data type: String\n\n</td></tr><tr><td>\n\nfull \\_description\n\n</td><td>\n\nDetailed category description.Data type: String\n\n</td></tr><tr><td>\n\nheader\\_icon\n\n</td><td>\n\nIcon used on category headers.Data type: String\n\n</td></tr><tr><td>\n\nhomepage\\_image\n\n</td><td>\n\nImage that appears for this category on the category's home page.Data type: String\n\n</td></tr><tr><td>\n\nicon\n\n</td><td>\n\nIcon to use to signify this category.Data type: String\n\n</td></tr><tr><td>\n\nsubcategories\n\n</td><td>\n\nList of subcategories within the category.Data type: Array\n\n ```\n\"subcategories\": [\n  \"sys_id\": \"String\",\n  \"title\": \"String\n]\n```\n\n</td></tr><tr><td>\n\nsubcategories.sys\\_id\n\n</td><td>\n\nSys\\_id of the subcategory.Data type: String\n\n</td></tr><tr><td>\n\nsubcategories.title\n\n</td><td>\n\nTitle of the subcategory.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the category.Data type: String\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td>\n\nCategory title.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_sc/servicecatalog/catalogs/e0d08b13c3330100c8b837659bba8fb4/categories?sysparm_limit=2 \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": [\n    {\n      \"title\": \"Can We Help You?\",\n      \"description\": \"Your IT gateway. Report issues and submit requests.\\n\\t\\t\",\n      \"full_description\": null,\n      \"icon\": \"\",\n      \"header_icon\": \"\",\n      \"homepage_image\": \"29f8ffa9471211002ee987e8dee4905e.iix\",\n      \"count\": 14,\n      \"subcategories\": [],\n      \"sys_id\": \"e15706fc0a0a0aa7007fc21e1ab70c2f\"\n    },\n    {\n      \"title\": \"Departmental Services\",\n      \"description\": \"Services offered by different departments in the organization\",\n      \"full_description\": null,\n      \"icon\": \"\",\n      \"header_icon\": \"\",\n      \"homepage_image\": \"6fb4a1d95f2211001c9b2572f2b47748.iix\",\n      \"count\": 1,\n      \"subcategories\": [],\n      \"sys_id\": \"95fc11615f1211001c9b2572f2b477c6\"\n    },\n    {\n      \"title\": \"Desktops\",\n      \"description\": \"Desktop computers for your work area.\",\n      \"full_description\": null,\n      \"icon\": \"\",\n      \"header_icon\": \"\",\n      \"homepage_image\": \"1bface31475211002ee987e8dee49095.iix\",\n      \"count\": 1,\n      \"subcategories\": [],\n      \"sys_id\": \"900682363731300054b6a3549dbe5d5f\"\n    }\n  ]\n}\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/catalogs/\\{sys\\_id\\}\n\nRetrieves the available information for a specified catalog.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/catalogs/{sys_id}`\n\nDefault URL: `/api/sn_sc/servicecatalog/catalogs/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the catalog to retrieve.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_view\n\n</td><td>\n\nDevice on which the item can display: -   **desktop**: On the desktop.\n-   **mobile**: On a mobile device.\n-   **both**: Both on a desktop and on a mobile device.\n\n Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td>\n\nIndicates that the request has completed successfully and returns the available information for the specified catalog.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nIndicates that request is invalid for one of the following reasons:-   User does not have access to the catalog.\n-   Invalid sys\\_id.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncategories\n\n</td><td>\n\nList of objects that describe categories within the catalog.Data type: Array\n\n ```\n\"categories\": [\n  \"description\": \"String\",\n  \"header_image\": \"String\",\n  \"sys_id\": \"String\",\n  \"title\": \"String\n]\n```\n\n</td></tr><tr><td>\n\ncategories.description\n\n</td><td>\n\nDescription of the category.Data type: String\n\n</td></tr><tr><td>\n\ncategories.header\\_image\n\n</td><td>\n\nCategory header image.Data type: String\n\n</td></tr><tr><td>\n\ncategories.sys\\_id\n\n</td><td>\n\nUnique category identifier \\(sys\\_id\\).Data type: String\n\n</td></tr><tr><td>\n\ncategories.title\n\n</td><td>\n\nCategory title.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nCatalog description.Data type: String\n\n</td></tr><tr><td>\n\ndesktop\\_image\n\n</td><td>\n\nSource of the image that displays with the catalog in the desktop view.Data type: String\n\n</td></tr><tr><td>\n\nhas\\_categories\n\n</td><td>\n\nFlag that indicates whether the catalog has categories.Possible values:\n\n-   true: Catalog has categories.\n-   false: Catalog does not have categories.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nhas\\_items\n\n</td><td>\n\nFlag that indicates whether there are items within the category. Possible values:\n\n-   true: Catalog has items associated with it.\n-   false: Catalog does not have any items associated with it.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nUnique catalog sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td>\n\nCatalog title.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.comaqsw\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"title\": \"Customer Service\",\n    \"sys_id\": \"65bcd377c3011200b12d9f2974d3aea0\",\n    \"has_categories\": true,\n    \"categories\": [\n      {\n        \"header_image\": \"\",\n        \"sys_id\": \"4cb69d19c3921200b0449f2974d3ae69\",\n        \"description\": null,\n        \"title\": \"Services\"\n      },\n      {\n        \"header_image\": \"\",\n        \"sys_id\": \"1b8611d5c3921200b0449f2974d3ae12\",\n        \"description\": null,\n        \"title\": \"Support\"\n      }\n    ],\n    \"has_items\": true,\n    \"description\": \"Customer Service\",\n    \"desktop_image\": \"\"\n  }\n}\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/categories/\\{sys\\_id\\}\n\nRetrieves the available information for a specified category.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/categories/{sys_id}`\n\nDefault URL: `/api/sn_sc/servicecatalog/categories/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the category for which to return information.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_view\n\n</td><td>\n\nUI view for which to render the data. Determines the fields returned in the response.Valid values:\n\n-   desktop\n-   mobile\n-   both\n\nIf you also specify the **sysparm\\_fields** parameter, it takes precedent.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nIndicates that request is invalid for one of the following reasons:-   User does not have access to the category.\n-   Invalid sys\\_id.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nchild\\_categories\n\n</td><td>\n\nList of objects that describe the child categories that belong to this category. Data type: Array\n\n ```\n\"child_categories\": [\n  \"count\": Number,\n  \"isParentCategory\": \"String\",\n  \"parent\": \"String\",\n  \"subcategories\": [Array],\n  \"sys_id\": \"String\",\n  \"title\": \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nchild\\_categories.count\n\n</td><td>\n\nNumber of items in the child category.Data type: Number\n\n</td></tr><tr><td>\n\nchild\\_categories.isParentCategory\n\n</td><td>\n\nFlag that indicates if this is a parent category.Possible values:\n\n-   true: Parent category.\n-   false: Not the parent category.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nchild\\_categories.parent\n\n</td><td>\n\nSys\\_id of the child category's parent.Data type: String\n\n</td></tr><tr><td>\n\nchild\\_categories.subcategories\n\n</td><td>\n\nList of objects that describe the subcategories for this child category.Data type: Array\n\n ```\n\"subcategories\": [\n  \"sys_id\": \"String\",\n  \"title\": \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nchild\\_categories.subcategories.sys\\_id\n\n</td><td>\n\nSys\\_id of the child subcategory.Data type: String\n\n</td></tr><tr><td>\n\nchild\\_categories.subcategories.title\n\n</td><td>\n\nChild subcategory title.Data type: String\n\n</td></tr><tr><td>\n\nchild\\_categories.sys\\_id\n\n</td><td>\n\nSys\\_id of the child category.Data type: String\n\n</td></tr><tr><td>\n\nchild\\_categories.title\n\n</td><td>\n\nChild category title.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nShort category description.Data type: String\n\n</td></tr><tr><td>\n\nfull\\_description\n\n</td><td>\n\nDetailed category description.Data type: String\n\n</td></tr><tr><td>\n\nheader\\_icon\n\n</td><td>\n\nSource of the icon displayed beside the category header when the category is listed at the top-level category.Data type: String\n\n</td></tr><tr><td>\n\nhomepage\\_image\n\n</td><td>\n\nSource of the home page image for the category.Data type: String\n\n</td></tr><tr><td>\n\nicon\n\n</td><td>\n\nSource of the small icon displayed beside the category name when the category is listed as a subcategory.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the category.Data type: String\n\n</td></tr><tr><td>\n\ntitle\n\n</td><td>\n\nCategory title.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_sc/servicecatalog/categories/b0fdfb01932002009ca87a75e57ffbe9\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"title\": \"Office\",\n    \"description\": \"Office services such as printing, supplies requisition\\n\\t\\t\\tand document shipping and delivery.\\n\\t\\t\",\n    \"full_description\": null,\n    \"icon\": \"\",\n    \"header_icon\": \"\",\n    \"homepage_image\": \"498b0271475211002ee987e8dee490ea.iix\",\n    \"sys_id\": \"109cdff8c6112276003b17991a09ad65\",\n    \"child_categories\": [\n      {\n        \"sys_id\": \"109f0438c6112276003ae8ac13e7009d\",\n        \"title\": \"Services\",\n        \"count\": 16,\n        \"parent\": \"109cdff8c6112276003b17991a09ad65\",\n        \"subcategories\": [],\n        \"isParentCategory\": false\n      }\n    ]\n  }\n}\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/items\n\nRetrieves a list of catalog items based on the specified parameters.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/items`\n\nDefault URL: `/api/sn_sc/servicecatalog/items`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_catalog\n\n</td><td>\n\nCatalog sys\\_id of the item. Use this parameter to locate items in a specific catalog.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_category\n\n</td><td>\n\nCategory sys\\_id of the item. Use this parameter to locate catalog items in a specific category.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_limit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.\n\n**Note:** Unusually large **sysparm\\_limit** values can impact system performance.\n\nData type: Number\n\nDefault: 10000\n\n</td></tr><tr><td>\n\nsysparm\\_offset\n\n</td><td>\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDon't pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr><tr><td>\n\nsysparm\\_text\n\n</td><td>\n\nSpecific text for which to search for in the category items. For example, `sysparm_text=\"iPhone\"` or `sysparm_text=\"Mobile devices\"`.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_type\n\n</td><td>\n\nType of item.Valid search values:\n\n -   Record Producer\n-   Order Guide\n\nIf any other value is passed, the information is ignored.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_view\n\n</td><td>\n\nUI view for which to render the data. Determines the fields returned in the response.Valid values:\n\n-   desktop\n-   mobile\n-   both\n\nIf you also specify the **sysparm\\_fields** parameter, it takes precedent.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Returns a list of catalogs and items based on the specified parameters. If a valid query results in no items, then the response body contains only an empty result array.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nParameter\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncatalogs\n\n</td><td>\n\nList of objects that describe the catalogs that contain this item.Data type: Array\n\n ```\n\"catalogs\": [{\n  \"sys_id\": \"String\",\n  \"title\": \"String\"\n}]\n```\n\n</td></tr><tr><td>\n\ncatalogs.sys\\_id\n\n</td><td>\n\nSys\\_id of the catalog.Data type: String\n\n</td></tr><tr><td>\n\ncatalogs.title\n\n</td><td>\n\nCatalog title.Data type: String\n\n</td></tr><tr><td>\n\ncategory\n\n</td><td>\n\nDescribes the category that contains this item.Data type: Object\n\n ```\n\"catalogs\": {\n  \"sys_id\": \"String\",\n  \"title\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncategory.sys\\_id\n\n</td><td>\n\nSys\\_id of the category.Data type: String\n\n</td></tr><tr><td>\n\ncategory.title\n\n</td><td>\n\nCategory titleData type: String\n\n</td></tr><tr><td>\n\ncontent\\_type\n\n</td><td>\n\nType of content.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDetailed description of the item.Data type: String\n\n</td></tr><tr><td>\n\nicon\n\n</td><td>\n\nSource of the small icon displayed beside the item name.Data type: String\n\n</td></tr><tr><td>\n\nkb\\_article\n\n</td><td>\n\nKnowledge based article associated with the item.Data type: String\n\n</td></tr><tr><td>\n\nlocal\\_currency\n\n</td><td>\n\nCountry currency code for the local currency.Data type: String\n\n</td></tr><tr><td>\n\nlocalized\\_price\n\n</td><td>\n\nPrice of the item expressed in the currency defined by **local\\_currency**.Data type: String\n\n</td></tr><tr><td>\n\nlocalized\\_recurring\\_price\n\n</td><td>\n\nPrice of the recurring fee expressed in the currency defined by **local\\_currency**.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the item.Data type: String\n\n</td></tr><tr><td>\n\norder\n\n</td><td>\n\nPre-defined order to which the item belongs.Data type: Number\n\n</td></tr><tr><td>\n\npicture\n\n</td><td>\n\nPath to the image to display for the item.Data type: String\n\n</td></tr><tr><td>\n\nprice\n\n</td><td>\n\nPrice of item expressed in the currency defined by **price\\_currency**.Data type: String\n\n</td></tr><tr><td>\n\nprice\\_currency\n\n</td><td>\n\nCountry currency code for which the item price is expressed.Data type: String\n\n</td></tr><tr><td>\n\nrecurring\\_frequency\n\n</td><td>\n\nFrequency at which the recurring fees are applied, such as daily, monthly, or yearly; null if there are no fees for the item.Data type: String\n\n</td></tr><tr><td>\n\nrecurring\\_price\n\n</td><td>\n\nAmount of the recurring fee associated with the item.Data type: String\n\n</td></tr><tr><td>\n\nrecurring\\_price\\_currency\n\n</td><td>\n\nCountry currency code for which the recurring fees are expressed.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td>\n\nBrief description of the item.Data type: String\n\n</td></tr><tr><td>\n\nshow\\_price\n\n</td><td>\n\nFlag that indicates whether to show item pricing in the cart. Possible values:\n\n-   true: Name-value pairs are returned in the response parameters.\n-   false: Name-value pairs are not returned in the response parameters.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nshow\\_quantity\n\n</td><td>\n\nFlag that indicates whether to display the item quantity in the cart.Possible values:\n\n-   true: Display the item quantity in the cart.\n-   false: Do not display the item quantity in the cart.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td>\n\nTable to which the record belongs, such as sc\\_cat\\_item\\_producer.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the item.Data type: String\n\n</td></tr><tr><td>\n\ntype\n\n</td><td>\n\nType of item.Data type: String\n\n</td></tr><tr><td>\n\nurl\n\n</td><td>\n\nURL of the item.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_sc/servicecatalog/items?sysparm_catalog=e0d08b13c3330100c8b837659bba8fb4&sysparm_limit=2\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": [\n    {\n      \"short_description\": null,\n      \"kb_article\": \"\",\n      \"icon\": \"images/icons/catalog_item.gifx\",\n      \"description\": \"<p class=\\\"p1\\\"><font size=\\\"2\\\"><span class=\\\"s1\\\">Request an existing Standard Change Template is made unavailable when it is no longer required or no longer acceptable as a Standard Change.  This will be confirmed by your Change Management team.</span></font></p>\",\n      \"show_price\": false,\n      \"type\": \"record_producer\",\n      \"show_quantity\": true,\n      \"sys_class_name\": \"sc_cat_item_producer\",\n      \"picture\": \"\",\n      \"url\": \"\",\n      \"sys_id\": \"011f117a9f3002002920bde8132e7020\",\n      \"content_type\": \"\",\n      \"catalogs\": [\n        {\n          \"sys_id\": \"e0d08b13c3330100c8b837659bba8fb4\",\n          \"title\": \"Service Catalog\"\n        }\n      ],\n      \"name\": \"Retire a Standard Change Template\",\n      \"category\": {\n        \"sys_id\": \"00728916937002002dcef157b67ffb6d\",\n        \"title\": \"Template Management\"\n      },\n      \"order\": 30\n    },\n    {\n      \"short_description\": null,\n      \"kb_article\": \"\",\n      \"icon\": \"4cc3ec3d471211002ee987e8dee490d0.iix\",\n      \"description\": \"<p><font size=\\\"3\\\" color=\\\"#808080\\\" face=\\\"arial,helvetica,sans-serif\\\">A role delegator may delegate any role they have to any member of the specified group</font></p>\",\n      \"show_price\": false,\n      \"type\": \"record_producer\",\n      \"show_quantity\": true,\n      \"sys_class_name\": \"sc_cat_item_producer\",\n      \"picture\": \"ed44b5804f889200086eeed18110c7ca.iix\",\n      \"url\": \"\",\n      \"sys_id\": \"01205b180a0a0b3000b6efd641d24b75\",\n      \"content_type\": \"\",\n      \"catalogs\": [\n        {\n          \"sys_id\": \"e0d08b13c3330100c8b837659bba8fb4\",\n          \"title\": \"Service Catalog\"\n        }\n      ],\n      \"name\": \"Grant role delegation rights within a group\",\n      \"category\": {\n        \"sys_id\": \"496a3a7e0a0a0bc00089b39df14eb56e\",\n        \"title\": \"Role Delegation\"\n      },\n      \"order\": 100\n    }\n  ]\n}\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/items/\\{item\\_sys\\_id\\}/delegation/\\{user\\_sys\\_id\\}\n\nVerifies whether the specified delegated user has acquisition rights to the specified service catalog item.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/items/{item_sys_id}/delegation/{user_sys_id}`\n\nDefault URL: `/api/sn_sc/servicecatalog/items/{item_sys_id}/delegation/{user_sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nitem\\_sys\\_id\n\n</td><td id=\"entry-item_sys_id-servcat\">\n\nSys\\_id of the service catalog item to verify whether the specified user has acquisition rights.Data type: String\n\nTable: Service Catalog \\[sc\\_catalog\\]\n\n</td></tr><tr><td>\n\nuser\\_sys\\_id\n\n</td><td>\n\nSys\\_id of the user to check whether they have acquisition rights to the specified service catalog item.Data type: String\n\nTable: Users \\[sys\\_users\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nFlag that indicates whether the specified user has acquisition rights to the specified service catalog item.Valid values:\n\n-   true: User has acquisition rights.\n-   false: User does not have acquisition rights.\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_sc/servicecatalog/items/5c7e9fd20f1010108af26b198b767eb8/delegation/62826bf03710200044e0bfc8bcbe5df1\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"result\": true\n  }\n}\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/items/\\{sys\\_id\\}\n\nRetrieves a specified catalog item.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/items/{sys_id}`\n\nDefault URL: `/api/sn_sc/servicecatalog/items/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the catalog item to return.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_view\n\n</td><td>\n\nUI view for which to render the data. Determines the fields returned in the response.Valid values:\n\n-   desktop\n-   mobile\n-   both\n\nIf you also specify the **sysparm\\_fields** parameter, it takes precedent.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td>\n\nIndicates that the request has completed successfully and returns the details of the catalog item.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nIndicates that request is invalid for one of the following reasons:-   User does not have access to the catalog item.\n-   Invalid sys\\_id.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncatalogs\n\n</td><td>\n\nList of objects that describe the catalogs that contain this item.Data type: Array\n\n ```\n\"catalogs\": [{\n  \"sys_id\": \"String\",\n  \"title\": \"String\"\n}]\n```\n\n</td></tr><tr><td>\n\ncatalogs.sys\\_id\n\n</td><td>\n\nSys\\_id of the catalog.Data type: String\n\n</td></tr><tr><td>\n\ncatalogs.title\n\n</td><td>\n\nCatalog title.Data type: String\n\n</td></tr><tr><td>\n\ncategories\n\n</td><td>\n\nList of objects that describe the categories that contains this item.Data type: Array\n\n ```\n\"categories\": [{\n  \"active\": Boolean,\n  \"category\": {Object},\n  \"sys_id\": \"String\",\n  \"title\": \"String\"\n}]\n```\n\n</td></tr><tr><td>\n\ncategories.active\n\n</td><td>\n\nFlag that indicates whether the category is active.Possible values:\n\n-   true: Category is active.\n-   false: Category is inactive.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\ncategories.category\n\n</td><td>\n\nDescribes the associated category.Data type: Object\n\n ```\n\"category\": {\n  \"active\": Boolean,\n  \"sys_id\": \"String\",\n  \"title\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncategories.category.active\n\n</td><td>\n\nFlag that indicates whether the category is active.Possible values:\n\n-   true: Category is active.\n-   false: Category is inactive.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\ncategories.category.sys\\_id\n\n</td><td>\n\nSys\\_id of the category.Data type: String\n\n</td></tr><tr><td>\n\ncategories.category.title\n\n</td><td>\n\nCategory title.Data type: String\n\n</td></tr><tr><td>\n\ncategories.sys\\_id\n\n</td><td>\n\nParent category of the category specified in **categories.category**.Data type: String\n\n</td></tr><tr><td>\n\ncategory\n\n</td><td>\n\nPrimary category to which the item belongs.Data type: Object\n\n ```\n\"category\": {\n  \"sys_id\": \"String\",\n  \"title\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncategory.sys\\_id\n\n</td><td>\n\nSys\\_id of the primary category.Data type: String\n\n</td></tr><tr><td>\n\ncategory.title\n\n</td><td>\n\nPrimary category's title.Data type: String\n\n</td></tr><tr><td>\n\nclient\\_script\n\n</td><td>\n\nList of all the catalog client scripts defined on the catalog item.Data type: Object\n\n ```\n\"client_script\": {\n  \"onChange\": [Array],\n  \"onLoad\": [Array],\n  \"onSubmit\": [Array]\n}\n```\n\n</td></tr><tr><td>\n\nclient\\_script.onChange\n\n</td><td>\n\nList of onChange client scripts associated with the item.Data type: Array\n\n</td></tr><tr><td>\n\nclient\\_script.onSubmit\n\n</td><td>\n\nList of onSubmit client scripts associated with the item.Data type: Array\n\n</td></tr><tr><td>\n\nclient\\_script.onLoad\n\n</td><td>\n\nList of onLoad client scripts associated with the item.Data type: Array\n\n</td></tr><tr><td>\n\ncontent\\_type\n\n</td><td>\n\nType of content.Data type: String\n\n</td></tr><tr><td>\n\ndata\\_lookup\n\n</td><td>\n\nList of data lookups defined on the catalog item.Data type: Array\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDetailed description of the item.Data type: String\n\n</td></tr><tr><td>\n\nicon\n\n</td><td>\n\nSource of the small icon displayed beside the item name.Data type: String\n\n</td></tr><tr><td>\n\nkb\\_article\n\n</td><td>\n\nKnowledge based article associated with the item.Data type: String\n\n</td></tr><tr><td>\n\nlocal\\_currency\n\n</td><td>\n\nCountry currency code for the local currency.Data type: String\n\n</td></tr><tr><td>\n\nlocalized\\_price\n\n</td><td>\n\nPrice of the item expressed in the currency defined by **local\\_currency**.Data type: String\n\n</td></tr><tr><td>\n\nlocalized\\_recurring\\_price\n\n</td><td>\n\nPrice of the recurring fee expressed in the currency defined by **local\\_currency**.Data type: String\n\n</td></tr><tr><td>\n\nname\n\n</td><td>\n\nName of the item.Data type: String\n\n</td></tr><tr><td>\n\norder\n\n</td><td>\n\nNumber of orders for the item.Data type: Number\n\n</td></tr><tr><td>\n\npicture\n\n</td><td>\n\nFile name of the image to display for the item.Data type: String\n\n</td></tr><tr><td>\n\nprice\n\n</td><td>\n\nPrice of item expressed in the currency defined by **price\\_currency**.Data type: String\n\n</td></tr><tr><td>\n\nprice\\_currency\n\n</td><td>\n\nCountry currency code for which the item price is expressed.Data type: String\n\n</td></tr><tr><td>\n\nrecurring\\_frequency\n\n</td><td>\n\nFrequency at which the recurring fees are applied, such as daily, monthly, or yearly.Data type: String\n\n</td></tr><tr><td>\n\nrecurring\\_price\n\n</td><td>\n\nAmount of the recurring fee associated with the itemData type: String\n\n</td></tr><tr><td>\n\nrecurring\\_price\\_currency\n\n</td><td>\n\nCountry currency code for which the recurring fees are expressed.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td>\n\nBrief description of the item.Data type: String\n\n</td></tr><tr><td>\n\nshow\\_price\n\n</td><td>\n\nFlag that indicates whether to show item pricing in the cart.Possible values:\n\n-   true: Pricing name/value pairs are returned in the response parameters.\n-   false: Pricing name/value pairs are not returned in the response parameters.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nshow\\_quantity\n\n</td><td>\n\nFlag that indicates whether to display the item quantity in the cart.Possible values:\n\n-   true: Display the item quantity in the cart.\n-   false: Do not display the item quantity in the cart.\n\n Data type: Boolean\n\n</td></tr><tr><td>\n\nsys\\_class\\_name\n\n</td><td>\n\nName of the table to which this record belongs.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the item.Data type: String\n\n</td></tr><tr><td>\n\ntype\n\n</td><td>\n\nType of item.Data type: String\n\n</td></tr><tr><td>\n\nui\\_policy\n\n</td><td>\n\nList of UI policies associated with the item.Data type: Array\n\n</td></tr><tr><td>\n\nurl\n\n</td><td>\n\nURL of item image.Data type: String\n\n</td></tr><tr><td>\n\nvariables\n\n</td><td>\n\nList of available variables associated with the item.Data type: Array\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"https://instance.servicenow.com/api/sn_sc/servicecatalog/items/0cf7477237153000158bbfc8bcbe5dec\" \\\n  --request GET \\\n  --header \"Accept:application/json\" \\\n  --user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"short_description\": \"Apple iPad 3\",\n    \"kb_article\": \"\",\n    \"icon\": \"e6b3bc0647311200e0ef563dbb9a71fc.iix\",\n    \"description\": \"\\n\\t\\t\\t<p>\\n\\t\\t\\t\\t<font size=\\\"3\\\">\\n\\t\\t\\t\\t\\t<span style=\\\"color: gray;\\\">\\n\\t\\t\\t\\t\\t\\tiPad with Retina display Wi-Fi 16GB - Black </span>\\n\\t\\t\\t\\t</font>\\n\\t\\t\\t</p>\\n\\t\\t\\t<p>\\n\\t\\t\\t\\t<span style=\\\"color: gray;\\\">Key Features:</span>\\n\\t\\t\\t</p>\\n\\t\\t\\t<ul><li style=\\\"color: gray;\\\">\\n\\t\\t\\t\\t\\t<span style=\\\"font-size: 10.0pt;\\\">Retina display (2048x1536 resolution)</span>\\n\\t\\t\\t\\t</li><li style=\\\"color: gray;\\\">\\n\\t\\t\\t\\t\\t<span style=\\\"font-size: 10.0pt;\\\">16GB storage</span>\\n\\t\\t\\t\\t</li><li style=\\\"color: gray;\\\">\\n\\t\\t\\t\\t\\t<span style=\\\"font-size: 10.0pt;\\\">Wi-Fi enabled</span>\\n\\t\\t\\t\\t</li><li style=\\\"color: gray;\\\">\\n\\t\\t\\t\\t\\t<span style=\\\"font-size: 10.0pt;\\\">Built-in speaker, microphone and camera</span>\\n\\t\\t\\t\\t</li><li style=\\\"color: gray;\\\">\\n\\t\\t\\t\\t\\t<span style=\\\"font-size: 10.0pt;\\\">Up to 10 hours battery life</span>\\n\\t\\t\\t\\t</li></ul>\",\n    \"show_price\": true,\n    \"recurring_price\": \"$0.00\",\n    \"type\": \"catalog_item\",\n    \"show_quantity\": true,\n    \"local_currency\": \"USD\",\n    \"sys_class_name\": \"pc_hardware_cat_item\",\n    \"picture\": \"5b977690cb921200f2de77a4634c9c6a.iix\",\n    \"url\": \"\",\n    \"sys_id\": \"060f3afa3731300054b6a3549dbe5d3e\",\n    \"recurring_price_currency\": \"USD\",\n    \"content_type\": \"\",\n    \"localized_price\": \"$600.00\",\n    \"price\": \"$600.00\",\n    \"catalogs\": [\n      {\n        \"sys_id\": \"e0d08b13c3330100c8b837659bba8fb4\",\n         \"title\": \"Service Catalog\"\n      }\n    ],\n    \"recurring_frequency\": null,\n    \"name\": \"Apple iPad 3\",\n    \"localized_recurring_price\": \"$0.00\",\n    \"category\": {\n      \"sys_id\": \"b06546f23731300054b6a3549dbe5dd8\",\n      \"title\": \"Tablets\"\n    },\n    \"price_currency\": \"USD\",\n    \"order\": 0,\n    \"categories\": [\n      {\n        \"sys_id\": \"d258b953c611227a0146101fb1be7c31\",\n        \"active\": true,\n        \"category\": {\n          \"sys_id\": \"b06546f23731300054b6a3549dbe5dd8\",\n          \"active\": true,\n          \"title\": \"Tablets\"\n        },\n        \"title\": \"Hardware\"\n      }\n    ],\n    \"variables\": [],\n    \"ui_policy\": [],\n    \"client_script\": {\n      \"onChange\": [],\n      \"onSubmit\": [],\n      \"onLoad\": []\n    },\n    \"data_lookup\": []\n  }\n}\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/wishlist\n\nRetrieves the list of items in the logged in user's wish list.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/wishlist`\n\nDefault URL: `/api/sn_sc/servicecatalog/wishlist`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncart\\_id\n\n</td><td>\n\nSys\\_id of the wish list cart.Data type: String\n\n</td></tr><tr><td>\n\nitems\n\n</td><td>\n\nList of objects that describe the items in the wish list cart.Data type: Array\n\n ```\n\"items\": [{\n  \"cart_item_id\": \"String\",\n  \"catalog_item_id\": \"String\",\n  \"created_by\": \"String\",\n  \"created_on\": \"String\",\n  \"delivery_time\": \"String\",\n  \"item_id\": \"String\",\n  \"item_name\": \"String\",\n  \"localized_price\": \"String\",\n  \"localized_recurring_price\": \"String\",\n  \"name\": \"String\",\n  \"order_guide\": \"String\",\n  \"picture\": \"String\",\n  \"price\": \"String\",\n  \"quantity\": \"String\",\n  \"recurring_frequency\": \"String\",\n  \"recurring_price\": \"String\",\n  \"recurring_subtotal\": Number,\n  \"recurring_subtotal_price\": \"String\",\n  \"short_descriptions\": \"String\",\n  \"show_price\": Boolean,\n  \"show_quantity\": Boolean,\n  \"show_recurring_price\": Boolean,\n  \"subtotal\": Number,\n  \"subtotal_price\": \"String\",\n  \"sys_class_name\": \"String\",\n  \"sys_id\": \"String\",\n  \"updated_by\": \"String\",\n  \"updated_on\": \"String\",\n  \"variables\": {Object}\n}]\n```\n\n</td></tr><tr><td>\n\nitems.cart\\_item\\_id\n\n</td><td>\n\nSys\\_id of the item. Same as **items.sys\\_id**.Data type: String\n\n</td></tr><tr><td>\n\nitems.catalog\\_item\\_id\n\n</td><td>\n\nSys\\_id of the catalog identifier for this item in the wish list cart. Same as **items.item\\_id**.Data type: String\n\n</td></tr><tr><td>\n\nitems.created\\_by\n\n</td><td>\n\nUser that initially put the item in the wish list cart.Data type: String\n\n</td></tr><tr><td>\n\nitems.created\\_on\n\n</td><td>\n\nDate and time that the item was initially placed in the wishlist cart.Data type: String\n\n</td></tr><tr><td>\n\nitems.delivery\\_time\n\n</td><td>\n\nAmount of time that it takes to deliver the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.item\\_id\n\n</td><td>\n\nUnique catalog identifier for this item in the wish list cart \\(sys\\_id\\). Same as items.catalog\\_item\\_id.Data type: String\n\n</td></tr><tr><td>\n\nitems.item\\_name\n\n</td><td>\n\nName of the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.localized\\_price\n\n</td><td>\n\nPrice of the item expressed in the local currency.Data type: String\n\n</td></tr><tr><td>\n\nitems.localized\\_recurring\\_price\n\n</td><td>\n\nPrice of the recurring fee expressed in the local currency.Data type: String\n\n</td></tr><tr><td>\n\nitems.name\n\n</td><td>\n\nName of the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.order\\_guide\n\n</td><td>\n\nOrder guide to which the item is associated.Data type: String\n\n</td></tr><tr><td>\n\nitems.picture\n\n</td><td>\n\nPath to the image to display for the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.price\n\n</td><td>\n\nPrice of item.Data type: String\n\n</td></tr><tr><td>\n\nitems.quantity\n\n</td><td>\n\nNumber of this item in the wish list cart.Data type: String\n\n</td></tr><tr><td>\n\nitems.recurring\\_frequency\n\n</td><td>\n\nFrequency at which the recurring fees are applied, such as daily, monthly, or yearly. Null if no recurring fees for this item.Data type: String\n\n</td></tr><tr><td>\n\nitems.recurring\\_price\n\n</td><td>\n\nAmount of the recurring fee associated with the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.recurring\\_subtotal\n\n</td><td>\n\nSubtotal for the recurring fees for this item \\(recurring\\_price x quantity\\).Data type: Number\n\n</td></tr><tr><td>\n\nitems.recurring\\_subtotal\\_price\n\n</td><td>\n\nSubtotal for the recurring fees for this item \\(recurring\\_price x quantity\\).Data type: String\n\n</td></tr><tr><td>\n\nitems.short\\_description\n\n</td><td>\n\nBrief description of the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.show\\_price\n\n</td><td>\n\nFlag that indicates whether to show item pricing in the cart. If this parameter is set to \"false\", pricing name/value pairs are not returned in the response parameters.Data type: Boolean\n\n</td></tr><tr><td>\n\nitems.show\\_quantity\n\n</td><td>\n\nFlag that indicates whether to display the item quantity in the cart.Data type: Boolean\n\n</td></tr><tr><td>\n\nitems.show\\_recurring\\_price\n\n</td><td>\n\nFlag that indicates whether to display the recurring fees in the cart.Data type: Boolean\n\n</td></tr><tr><td>\n\nitems.subtotal\n\n</td><td>\n\nSubtotal for this item - not including cents \\(price x quantity\\).Data type: Number\n\n</td></tr><tr><td>\n\nitems.subtotal\\_price\n\n</td><td>\n\nSubtotal for this item - including cents \\(price x quantity\\).Data type: String\n\n</td></tr><tr><td>\n\nitems.sys\\_class\\_name\n\n</td><td>\n\nChild class to which the associated item record belongs.Data type: String\n\n</td></tr><tr><td>\n\nitems.sys\\_id\n\n</td><td>\n\nUnique identifier of the item \\(sys\\_id\\). Same as items.cart\\_item\\_id.Data type: String\n\n</td></tr><tr><td>\n\nitems.updated\\_by\n\n</td><td>\n\nUser that updated this item in the wish list cart.Data type: String\n\n</td></tr><tr><td>\n\nitems.updated\\_on\n\n</td><td>\n\nDate and time that the item was put on the wishlist.Data type: String\n\n</td></tr><tr><td>\n\nitems.variables\n\n</td><td>\n\nName-value pairs of variables associated with the item.Data type: Object\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"http://instance.servicenow.com/api/sn_sc/servicecatalog/wishlist\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\n```\n{\n  \"result\": {\n    \"cart_id\": \"3a68c46013f12300027879d96144b0ce\",\n    \"items\": [\n      {\n        \"updated_on\": \"2018-11-16 05:54:41\",\n        \"catalog_item_id\": \"774906834fbb4200086eeed18110c737\",\n        \"short_description\": \"Macbook Pro\",\n        \"recurring_subtotal_price\": \"$100.00\",\n        \"delivery_time\": \"5 Days 0 seconds\",\n        \"sys_class_name\": \"sc_cat_item\",\n        \"sys_id\": \"3b8d887113b5a300027879d96144b0c2\",\n        \"price\": \"$1,499.00\",\n        \"recurring_frequency\": \"Annually\",\n        \"subtotal_price\": \"$1,499.00\",\n        \"variables\": {\n          \"Adobe Photoshop\": \"false\",\n          \"Adobe Acrobat\": \"false\",\n          \"Optional Software\": \"true\",\n          \"Additional software requirements\": \"\",\n          \"Eclipse IDE\": \"true\"\n        },\n        \"quantity\": \"1\",\n        \"item_id\": \"774906834fbb4200086eeed18110c737\",\n        \"recurring_price\": \"$100.00\",\n        \"show_price\": true,\n        \"item_name\": \"Developer Laptop (Mac)\",\n        \"cart_item_id\": \"3b8d887113b5a300027879d96144b0c2\",\n        \"recurring_subtotal\": 100,\n        \"show_quantity\": true,\n        \"created_by\": \"admin\",\n        \"picture\": \"4e4efd444f889200086eeed18110c7e6.iix\",\n        \"created_on\": \"2018-11-16 05:54:41\",\n        \"localized_price\": \"$1,499.00\",\n        \"subtotal\": 1499,\n        \"show_recurring_price\": true,\n        \"name\": \"Developer Laptop (Mac)\",\n        \"updated_by\": \"admin\",\n        \"localized_recurring_price\": \"$100.00\",\n        \"order_guide\": \"\"\n      }\n    ]\n  }\n}\n```\n\n## Service Catalog - GET /sn\\_sc/servicecatalog/wishlist/\\{cart\\_item\\_id\\}\n\nRetrieves the details of the specified item stored in the wish list cart.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/v1/servicecatalog/wishlist/{cart_item_id}`\n\nDefault URL: `/api/sn_sc/servicecatalog/wishlist/{cart_item_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncart\\_item\\_id\n\n</td><td>\n\nSys\\_id of the wish list cart item to retrieve.Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|404|Indicates a failed request. Incorrect cart item id or the item does not exist in the wish list cart.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncart\\_item\\_id\n\n</td><td>\n\nSys\\_id of the item.Data type: String\n\n</td></tr><tr><td>\n\ncatalog\\_item\\_id\n\n</td><td>\n\nSys\\_id of the catalog identifier for this item in the wish list cart.Data type: String\n\n</td></tr><tr><td>\n\ndelivery\\_time\n\n</td><td>\n\nAmount of time that it takes to deliver the item.Data type: String\n\n</td></tr><tr><td>\n\nitem\\_name\n\n</td><td>\n\nName of the item.Data type: String\n\n</td></tr><tr><td>\n\nlocalized\\_price\n\n</td><td>\n\nPrice of the item expressed in the local currency.Data type: String\n\n</td></tr><tr><td>\n\nlocalized\\_recurring\\_price\n\n</td><td>\n\nPrice of the recurring fee expressed in the local currency.Data type: String\n\n</td></tr><tr><td>\n\nprice\n\n</td><td>\n\nPrice of item.Data type: String\n\n</td></tr><tr><td>\n\nquantity\n\n</td><td>\n\nNumber of this item in the wish list cart.Data type: String\n\n</td></tr><tr><td>\n\nrecurring\\_frequency\n\n</td><td>\n\nFrequency at which the recurring fees are applied, such as daily, monthly, or yearly. Null if no recurring fees for this item.Data type: String\n\n</td></tr><tr><td>\n\nrecurring\\_price\n\n</td><td>\n\nAmount of the recurring fee associated with the item.Data type: String\n\n</td></tr><tr><td>\n\nvariables\n\n</td><td>\n\nName-value pairs of the variables associated with the item.Data type: Object\n\n</td></tr></tbody>\n</table>### cURL request\n\n```\ncurl \"http://instance.servicenow.com/api/sn_sc/servicecatalog/wishlist/774906834fbb4200086eeed18110c737\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user \"username\":\"password\"\n```\n\n```\n{\n  \"result\": {\n    \"catalog_item_id\": \"04b7e94b4f7b4200086eeed18110c7fd\",\n    \"variables\": {\n      \"Adobe Photoshop\": \"\",\n      \"Adobe Acrobat\": \"\",\n      \"Optional Software\": \"\",\n      \"Additional software requirements\": \"\"\n    },\n    \"quantity\": \"1\",\n    \"localized_price\": \"$1,100.00\",\n    \"price\": \"$1,100.00\",\n    \"recurring_frequency\": \"Annually\",\n    \"localized_recurring_price\": \"$100.00\",\n    \"recurring_price\": \"$100.00\",\n    \"item_name\": \"Standard Laptop &\",\n    \"cart_item_id\": \"d31be364c3012200d68d3b0ac3d3aecf\",\n    \"delivery_time\": \"5 Days\"\n  }\n}\n```\n\n## Service Catalog - POST /sn\\_sc/servicecatalog/cart/checkout\n\nRetrieves and processes the checkout for the current cart based on whether the two-step checkout process is enabled.\n\nIf one-step checkout, the method checks out \\(saves\\) the cart and returns the request number and the request order ID. If two-step checkout, the method returns the cart order status and all the information required for two-step checkout.\n\n### URL format\n\nVersioned URL: `/api/sn_sc/{api_version}/servicecatalog/cart/checkout`\n\nDefault URL: `/api/sn_sc/servicecatalog/cart/checkout`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td>\n\nIndicates that the request completed successfully. Returns the total and subtotal information and information on the items in the cart. If one-step checkout, the method checks out \\(saves\\) the cart and returns the request number and the request order ID. If two-step checkout, the method returns the cart order status and all the information required for two-step checkout.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nIndicates that the cart is empty and cannot check out.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td id=\"entry-500-status-code\">\n\nInternal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nParameter\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncart\\_id\n\n</td><td>\n\nSys\\_id of the cart.Data type: String\n\n</td></tr><tr><td>\n\ndelivery\\_address\n\n</td><td>\n\nAddress to which to deliver the cart items.Data type: String\n\n</td></tr><tr><td>\n\n&lt;recurring\\_frequency&gt;\n\n</td><td>\n\nList of items in the cart having a specific recurring frequency. Po
[...]
